<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [exportMaterial](./bitburner.warehouseapi.exportmaterial.md)

## WarehouseAPI.exportMaterial() method

Set material export data.

**Signature:**

```typescript
exportMaterial(
    sourceDivision: string,
    sourceCity: CityName,
    targetDivision: string,
    targetCity: CityName,
    materialName: CorpMaterialName,
    amt: number | string,
  ): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

sourceDivision


</td><td>

string


</td><td>

Source division


</td></tr>
<tr><td>

sourceCity


</td><td>

[CityName](./bitburner.cityname.md)


</td><td>

Source city


</td></tr>
<tr><td>

targetDivision


</td><td>

string


</td><td>

Target division


</td></tr>
<tr><td>

targetCity


</td><td>

[CityName](./bitburner.cityname.md)


</td><td>

Target city


</td></tr>
<tr><td>

materialName


</td><td>

[CorpMaterialName](./bitburner.corpmaterialname.md)


</td><td>

Name of the material


</td></tr>
<tr><td>

amt


</td><td>

number \| string


</td><td>

Amount of material to export.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 20 GB

